Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libIDL
Version:	0.8.14
Release:	1
License:	LGPL
URL:		ftp://ftp.gnome.org/pub/GNOME/sources/libIDL/0.8/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	The libIDL package contains libraries for Interface Definition Language files.

#Manual build dependencies
BuildRequires: pkg-config
BuildRequires: flex
BuildRequires: bison

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel

%description
libIDL is a library for parsing IDL (Interface Definition Language). 
It can be used for both COM-style and CORBA-style IDL.

%package	devel
Summary:	Development libraries and header files for libIDL
Group:		Development/Libraries
Requires:	libIDL = %{version}
Requires:	pkg-config
Requires:	glib-devel >= 2.0
Requires(pre):	/sbin/install-info

%description	devel
libIDL is a library for parsing IDL (Interface Definition Language). 
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write 
or compile programs that use libIDL.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info --quiet %{_infodir}/libIDL2.info.gz %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --quiet --delete %{_infodir}/libIDL2.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
%{_libdir}/libIDL-2.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libIDL-config-2
%{_includedir}/libIDL-2.0/libIDL/IDL.h
%{_libdir}/libIDL-2.a
%{_libdir}/libIDL-2.la
%{_libdir}/libIDL-2.so
%{_pkgconfig}/libIDL-2.0.pc
%{_infodir}/libIDL2.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.14-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 0.8.13-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.10-1
- Version update
* Tue Sep 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.9-1
- Version update
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.7-2
- Fixed require
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.7-1
- Version update
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.6-3
- Moved necessary files to main package
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.6-2
- added info-files
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.6-1
- Update to Version 0.8.6
